Summary:	A Simple and Fast Image Viewer for X
Name:     	gpicview
Version:	0.2.5
Release:	%mkrel 4.git20230824.1
License:	GPLv2+
Group:		Graphics/Viewers
Source0: 	https://github.com/lxde/%{name}/archive/master.zip
Patch0: 	%name-0.2.4-fix-displaying-animated-gif.patch
Patch1: 	%name-master-fix-build.patch
URL:		https://www.lxde.org/
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.40.0

%description
GPicView is a simple and fast image viewer for X.
It features:
. Extremely lightweight and fast with low memory usage
. Very suitable for default image viewer of desktop system
. Simple and intuitive interface
. Minimal lib dependency: Only pure GTK+ is used
. Desktop independent: Doesn't require any specific desktop environment

%prep
%setup -q -n %name-master
%autopatch -p1

%build
./autogen.sh
%configure --enable-gtk3
%make_build

%install
%make_install

%{find_lang} %{name}

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	--remove-category='Core' \
	--remove-category='Utility' \
	--remove-category='Photography' \
	--remove-category='RasterGraphics' \
	%buildroot%_datadir/applications/*.desktop

%files -f %{name}.lang
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_iconsdir}/*/*/*/*


%changelog
* Wed Aug 30 2023 ns80 <ns80> 0.2.5-4.git20230824.1.mga9
+ Revision: 1981757
- update to latest git snapshot

* Thu Feb 09 2023 ns80 <ns80> 0.2.5-4.git20210304.3.mga9
+ Revision: 1939674
- rebuild for aging

* Thu Mar 31 2022 umeabot <umeabot> 0.2.5-4.git20210304.2.mga9
+ Revision: 1835780
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 ns80 <ns80> 0.2.5-4.git20210304.1.mga9
+ Revision: 1789784
- update to latest git snapshot

* Thu Apr 29 2021 ns80 <ns80> 0.2.5-4.git20190224.4.mga9
+ Revision: 1720404
- add patch to fix display with GTK+ 3.0

* Tue Mar 02 2021 ns80 <ns80> 0.2.5-4.git20190224.3.mga9
+ Revision: 1695890
- build with GTK 3

* Sat Feb 15 2020 umeabot <umeabot> 0.2.5-4.git20190224.2.mga8
+ Revision: 1523466
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.2.5-4.git20190224.1.mga7
+ Revision: 1371364
- update to latest git snapshot

* Sun Sep 23 2018 umeabot <umeabot> 0.2.5-3.mga7
+ Revision: 1298048
- Mageia 7 Mass Rebuild

* Fri Apr 15 2016 ns80 <ns80> 0.2.5-2.mga6
+ Revision: 1002068
- add patch fix-displaying-animated-gif (mga#18208)

* Sun Feb 21 2016 ns80 <ns80> 0.2.5-1.mga6
+ Revision: 975330
- new version 0.2.5

* Mon Feb 08 2016 umeabot <umeabot> 0.2.4-4.mga6
+ Revision: 943190
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-3.mga5
+ Revision: 747706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-2.mga5
+ Revision: 679913
- Mageia 5 Mass Rebuild

* Thu Feb 06 2014 fwang <fwang> 0.2.4-1.mga5
+ Revision: 584638
- update file list
- 0.2.4

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-4.mga4
+ Revision: 505220
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.3-3.mga3
+ Revision: 352526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.2.3-2.mga3
+ Revision: 305934
- update rpm group

* Wed Sep 12 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 292496
- new version 0.2.3

* Thu Aug 04 2011 fwang <fwang> 0.2.2-1.mga2
+ Revision: 131672
- new verrsion 0.2.2

* Sat Feb 05 2011 ahmad <ahmad> 0.2.1-5.mga1
+ Revision: 47011
- drop old/unneeded scriptlets
- imported package gpicview


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-4mdv2011.0
+ Revision: 610975
- rebuild

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 0.2.1-3mdv2010.1
+ Revision: 489451
- rebuild for libjpegv8

* Tue Aug 18 2009 Funda Wang <fwang@mandriva.org> 0.2.1-2mdv2010.0
+ Revision: 417497
- rebuild for libjpeg v7

* Fri Jul 03 2009 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 391888
- new version 0.2.1
- fix url

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 381384
- New version 0.2.0

* Tue May 19 2009 Funda Wang <fwang@mandriva.org> 0.1.99-1mdv2010.0
+ Revision: 377433
- BR intltool
- New version 0.1.99

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.1.11-3mdv2009.1
+ Revision: 364440
- make it appears only in image menu

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.1.11-2mdv2009.1
+ Revision: 364364
- add upstream patch to fix RTL interface problem

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 0.1.11-1mdv2009.1
+ Revision: 314853
- New version 0.1.11
  deleting images bug finally fixed

* Tue Dec 16 2008 Funda Wang <fwang@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 314842
- fix compile with new cflags

* Sat Sep 13 2008 Funda Wang <fwang@mandriva.org> 0.1.10-1mdv2009.0
+ Revision: 284465
- New version 0.1.10
- patch merged upstream

* Thu Sep 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.1.9-4mdv2009.0
+ Revision: 283859
- Fix security problems CVE-2008-3791 and CVE-2008-3904
- Fix emptying of target files when trying to save in an unsupported
  file format such as GIF
- Use %%{buildroot} macro instead of $RPM_BUILD_ROOT in SPEC

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.1.9-3mdv2009.0
+ Revision: 266945
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Funda Wang <fwang@mandriva.org>
    - fix rpm group

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.1.9-2mdv2009.0
+ Revision: 200751
- fix desktop file category

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.1.9-1mdv2009.0
+ Revision: 200746
- import source and spec
- create gpicview

